#
# spec file for package kwordquiz
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kwordquiz
BuildRequires:  boost-devel
BuildRequires:  freeglut-devel
BuildRequires:  gsl-devel
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  libcfitsio-devel
BuildRequires:  libeigen2-devel
BuildRequires:  libgmm++-devel
BuildRequires:  libindi-devel
BuildRequires:  libkdeedu4-devel
BuildRequires:  libopenbabel-devel
BuildRequires:  libqalculate-devel
BuildRequires:  libspectre-devel
BuildRequires:  python-qt4-devel
BuildRequires:  readline-devel
BuildRequires:  xz
%if 0%{?sles_version} == 0
BuildRequires:  glew-devel
BuildRequires:  python
BuildRequires:  python-devel
%if 0%{?suse_version} > 1120
BuildRequires:  avogadro-devel
%endif
%py_requires
%endif

# currently in DOESNOTBUILD (2008-07-03)
%ifnarch ppc ppc64 s390 s390x
BuildRequires:  ocaml
BuildRequires:  ocaml-facile
%endif
Version:        4.8.2
Release:        0
Summary:        Vocabulary Trainer
License:        GPL-2.0+
Group:          Amusements/Teaching/Language
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
Requires:       libkeduvocdocument4
Suggests:       libkdeedu4
Provides:       kde4-kwordquiz = 4.3.0
Obsoletes:      kde4-kwordquiz < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
A powerful flashcard and vocabulary learning program

%prep
%setup -q -n %{name}-%{version}

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
%make_install
  %suse_update_desktop_file %{name}       Education Languages
  %kde_post_install
  %fdupes -s %{buildroot}

%clean
  rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kde4_bindir/kwordquiz
%_kde4_applicationsdir/kwordquiz.desktop
%_kde4_htmldir/en/kwordquiz/
%_kde4_iconsdir/hicolor/*/apps/kwordquiz.*
%_kde4_appsdir/kwordquiz/
%_kde4_sharedir/config.kcfg/kwordquiz.kcfg
%_kde4_configdir/kwordquiz.knsrc

%changelog
